<template>
  <div
    class="drag-card-handle"
    :class="`drag-card-handle drag-card-handle--${position}`"
  >
    :
  </div>
</template>

<script>
export default {
  props: ['position']
}
</script>

<style scoped>
.drag-card-handle {
  display: inline-block;
  position: absolute;
  background: white;
  border: 2px solid rgba(0, 0, 0, 0.12);
  border-radius: 2rem;
  padding: 0.125rem 0.25rem;
}

.drag-card-handle--e {
  right: -0.5rem;
  top: 50%;
  transform: translateY(-50%);
}
.drag-card-handle--s {
  bottom: -1rem;
  left: 50%;
  transform: translateX(-50%) rotate(90deg);
}
</style>
